# HttpDate class

Utility functions for working with dates with HTTP specific date formats.

## Constructors

HttpDate()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Static Methods

format(DateTime date) → String
  Format a date according to RFC-1123, e.g. `Thu, 1 Jan 1970 00:00:00 GMT`.
parse(String date) → DateTime
  Parse a date string in either of the formats RFC-1123, RFC-850 or ANSI C's asctime() format. These formats are listed here. [...]